# Class ThemeManagerService

- Defined in src/theme/Manager.js:63

#####
Index

### Properties

$rootScope_
gmfThemes_
gmfTreeManager_
modeFlush
ngeoStateManager_
themeName_

### Methods

addTheme
getThemeName
isLoading
removeAll
setThemeName
updateCurrentTheme

## Properties

### $rootScope_

$rootScope_: IScope

- Defined in src/theme/Manager.js:73

### gmfThemes_

gmfThemes_: any

- Defined in src/theme/Manager.js:78

### gmfTreeManager_

gmfTreeManager_: any

- Defined in src/theme/Manager.js:88

### modeFlush

modeFlush: any

- Defined in src/theme/Manager.js:83

### ngeoStateManager_

ngeoStateManager_: StatemanagerService

- Defined in src/theme/Manager.js:93

### themeName_

themeName_: string

- Defined in src/theme/Manager.js:98
- Defined in src/theme/Manager.js:175

## Methods

### addTheme

- addTheme(theme, opt_silent?): void

- Set the current theme name (mode 'flush' only) and add its children. Add only groups that are not already in the tree.

  #### Parameters

  - ##### theme: any

    A theme object.

  - ##### `Optional` opt_silent: boolean

    if true it will be no user message if the theme should be added but it's already added.

  #### Returns void

  - Defined in src/theme/Manager.js:109

### getThemeName

- getThemeName(): string

- #### Returns string

  The theme name. Will be empty on 'not flush' mode.

  - Defined in src/theme/Manager.js:124

### isLoading

- isLoading(): boolean

- #### Returns boolean

  true if the theme is loading.

  - Defined in src/theme/Manager.js:131

### removeAll

- removeAll(): void

- Remove all groups.

  #### Returns void

  - Defined in src/theme/Manager.js:184

### setThemeName

- setThemeName(name, opt_silent?): void

- #### Parameters

  - ##### name: string

    The new theme name.

  - ##### `Optional` opt_silent: boolean

    Don't emit a theme change event, default is false.

  #### Returns void

  - Defined in src/theme/Manager.js:174

### updateCurrentTheme

- updateCurrentTheme(themeName, fallbackThemeName, opt_silent?, opt_hasPrivateLayers?): void

- #### Parameters

  - ##### themeName: string

    wanted theme name.

  - ##### fallbackThemeName: string

    fallback theme name.

  - ##### `Optional` opt_silent: boolean

    if true notifyCantAddGroups_ is not called.

  - ##### `Optional` opt_hasPrivateLayers: boolean

    if true the theme has private layers.

  #### Returns void

  #### Export

  - Defined in src/theme/Manager.js:142

Generated using TypeDoc